Overview
GET
/ecosystem/namespaces/{key}registryResolve a namespace by UUID or rdid
Fetch a record from namespaces by key.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- keypathstring
Responses
200
namespace
- idstring
- ownerKind"customer" | "organization" | "persona" | "ecosystem"
- ownerIdstring
- slugstring?
- namestring?
- rdidstring?
The namespace reverse-domain prefix
Example
{
"id": "string",
"ownerKind": "customer",
"ownerId": "string",
"slug": "string",
"name": "string",
"rdid": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/ecosystem/namespaces/{key}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/namespaces/{key}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();